Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBAccount

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBBase
            |
            +--com.jxml.qare.qhome.db.DBAccount

All Implemented Interfaces:
  DeleteListener, EventListener

public final class DBAccount
extends DBBase
implements DeleteListener

Inner Class Summary
`class` | `DBAccount.Row`

Field Summary
`static int` | `GROUP_ACCOUNT` Group account type
`static int` | `P2P_ACCOUNT` P2P account type
`static int` | `SIMPLE_ACCOUNT` Simple account type

Fields inherited from class com.jxml.qare.qhome.db.DBBase
`createListeners, dbBases, deleteListeners, fileDateFormat, restored`

Method Summary
`void` | `backup(DataOutputStream dos)`
`DBAccount.Row` | `create(DBUser.Row user, String password)`
`DBAccount.Row` | `createGroup(DBUser.Row byUser, String groupName, boolean personal)`
`DBRow` | `createObj(ResultSet rs)`
`DBAccount.Row` | `createP2P(DBUser.Row user)`
`void` | `createTable()`
`void` | `deleteEvent(DeleteEvent deleteEvent)`
`List` | `get()`
`DBAccount.Row` | `get(DBSession.Row session)`
`DBAccount.Row` | `get(DBUser.Row user)`
`int` | `getMaxPendingId()`
`void` | `restore(String fileNamePrefix, DataInputStream dis)`
`String` | `tableName()`

Methods inherited from class com.jxml.qare.qhome.db.DBBase
`addCreateListener, addDeleteListener, addKey, backup, backupString, clearRef, create, createCurrentDate, createTable, deleteWeak, executeUpdate, getRow, getRows, getRows, getWeak, removeCreateListener, removeDeleteListener, restore, restoreString, sendCreateEvent, sendDeleteEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIMPLE_ACCOUNT

    public static final int SIMPLE_ACCOUNT

  Simple account type

### GROUP_ACCOUNT

    public static final int GROUP_ACCOUNT

  Group account type

### P2P_ACCOUNT

    public static final int P2P_ACCOUNT

  P2P account type

Method Detail

### tableName

    public String tableName()

  Overrides:
    `tableName` in class `DBBase`

### createTable

    public void createTable()
                     throws Exception

  Overrides:
    `createTable` in class `DBBase`

### deleteEvent

    public void deleteEvent(DeleteEvent deleteEvent)
                     throws Exception

  Specified by:
    `deleteEvent` in interface `DeleteListener`

### create

    public DBAccount.Row create(DBUser.Row user,
                                String password)
                         throws Exception

### createGroup

    public DBAccount.Row createGroup(DBUser.Row byUser,
                                     String groupName,
                                     boolean personal)
                              throws Exception

### createP2P

    public DBAccount.Row createP2P(DBUser.Row user)
                            throws Exception

### get

    public DBAccount.Row get(DBUser.Row user)
                      throws Exception

### get

    public DBAccount.Row get(DBSession.Row session)
                      throws Exception

### get

    public List get()
             throws Exception

### getMaxPendingId

    public int getMaxPendingId()
                        throws Exception

### createObj

    public DBRow createObj(ResultSet rs)
                    throws Exception

  Overrides:
    `createObj` in class `DBBase`

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Overrides:
    `backup` in class `DBBase`

### restore

    public void restore(String fileNamePrefix,
                        DataInputStream dis)
                 throws Exception

  Overrides:
    `restore` in class `DBBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD